API ReferenceapicommerceGET /v1/products/{id}

GET /v1/products/\{id\}

Service: commerce · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Product details

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "bc_product_id": {
      "type": "string"
    },
    "slug": {
      "type": [
        "string",
        "null"
      ]
    },
    "brand_slug": {
      "type": [
        "string",
        "null"
      ]
    },
    "name": {
      "type": "string"
    },
    "sku": {
      "type": [
        "string",
        "null"
      ]
    },
    "price_cents": {
      "type": "string"
    },
    "currency": {
      "type": "string"
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "status": {
      "type": "string"
    },
    "inventory_level": {
      "type": "number"
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "bc_product_id",
    "slug",
    "brand_slug",
    "name",
    "sku",
    "price_cents",
    "currency",
    "description",
    "status",
    "inventory_level",
    "created_at",
    "updated_at"
  ]
}

404 Product not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://commerce.platform.loop.health/v1/products/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"